Đến nội dung


Hình ảnh

đo chiều dài đường cong tại hai điểm bất kỳ


  • Please log in to reply
25 replies to this topic

#1 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 03:01 PM

Mọi người ơi. có ai biết cách đo chiều dài đường cong giữa 2 điểm bất kỳ ko? giúp mình với.
hình như là có lệnh DAR để đo thì phải nhưng mình ko biết dùng. ai biết chỉ giùm nhé.
  • 0

#2 whatcholingon

whatcholingon

    biết lệnh break

  • Members
  • PipPipPipPip
  • 222 Bài viết
Điểm đánh giá: 37 (tàm tạm)

Đã gửi 19 September 2012 - 03:16 PM

Mình thường làm như thế này, Break at point đoạn mình muốn đo sau đó dùng lệnh DAR để đo
  • 0

#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 September 2012 - 03:19 PM

Lệnh DAR là lệnh tắt của DIMARC, tức là đo khoảng cách của Arc và Pline, còn đường cong nói chung thì không dùng được.
Vấn đề của bạn có thể dùng vài dòng lisp thì đo được.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 03:22 PM

Lệnh DAR là lệnh tắt của DIMARC, tức là đo khoảng cách của Arc và Pline, còn đường cong nói chung thì không dùng được.
Vấn đề của bạn có thể dùng vài dòng lisp thì đo được.

bạn chỉ mình cụ thể được ko?
  • 0

#5 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 03:22 PM

Mình thường làm như thế này, Break at point đoạn mình muốn đo sau đó dùng lệnh DAR để đo

bạn chỉ mình cụ thể được ko?
  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 September 2012 - 03:41 PM


(defun C:HA( / obj p1)
(vl-load-com) ;toi moi them dong nay
(setq obj (car (entsel "\nChon duong cong: ")))
(abs (- (vlax-curve-getDistAtPoint obj (setq p1 (getpoint "\nP1: "))) (vlax-curve-getDistAtPoint obj (getpoint p1 "\nP2: ")))))

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 04:10 PM


(defun C:HA( / obj p1)
(setq obj (car (entsel "\nChon duong cong: ")))
(abs (- (vlax-curve-getDistAtPoint obj (setq p1 (getpoint "\nP1: "))) (vlax-curve-getDistAtPoint obj (getpoint p1 "\nP2: ")))))

bạn ơi. mình mới chỉ đọc qua lisp nên chưa hiểu lắm.
đại khái là down về rồi. load rồi. sau đó chạy : HA --> chọn đường cong --> (nó hiện ra P1. mình bấm chọn tọa độ thì nó bến mất --> ko đo được gì)( mình làm thế đúng ko. bạn chỉ hộ mình cụ thể tí nhé.)
  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 September 2012 - 04:18 PM

Bạn làm đúng rồi đó.
Chọn 1 đường cong.
Pick chọn điểm P1.
Pick chọn điểm P2.
Nhấn F2 để xem kết quả.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 04:28 PM

Bạn làm đúng rồi đó.
Chọn 1 đường cong.
Pick chọn điểm P1.
Pick chọn điểm P2.
Nhấn F2 để xem kết quả.

uh. nhưng mình chỉ pick được P1 thôi. còn ko pick được P2. vì nó biến mất ngay sau khi mình pick P1
  • 0

#10 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 19 September 2012 - 04:36 PM

Bạn làm đúng rồi đó.
Chọn 1 đường cong.
Pick chọn điểm P1.
Pick chọn điểm P2.
Nhấn F2 để xem kết quả.

Bác thêm dòng này vào Lisp :
(textscr)
Lisp bật kết quả lên cho bác
  • 0

#11 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 September 2012 - 04:46 PM

uh. nhưng mình chỉ pick được P1 thôi. còn ko pick được P2. vì nó biến mất ngay sau khi mình pick P1


uh. nhưng mình chỉ pick được P1 thôi. còn ko pick được P2. vì nó biến mất ngay sau khi mình pick P1

Sao có chuyện ngộ như vậy được nhỉ? Chỉ khi là bạn chọn không trúng đối tượng hoặc bạn chọn trúng đối tượng không có chiều dài mà thôi. Có thể sửa lisp để đáp ứng 2 điều trên nhưng thấy không cần thiết lắm.
Sau khi chọn P1 và tự thoát, bạn nhấn F2 rồi copy và paste những dòng ấy lên đây xem sao nhé.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#12 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 04:52 PM

Bác thêm dòng này vào Lisp :
(textscr)
Lisp bật kết quả lên cho bác

cứ viết vào cuối dòng của notepad hả bạn. mình ko biết viết lisp
  • 0

#13 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 04:55 PM



Sao có chuyện ngộ như vậy được nhỉ? Chỉ khi là bạn chọn không trúng đối tượng hoặc bạn chọn trúng đối tượng không có chiều dài mà thôi. Có thể sửa lisp để đáp ứng 2 điều trên nhưng thấy không cần thiết lắm.
Sau khi chọn P1 và tự thoát, bạn nhấn F2 rồi copy và paste những dòng ấy lên đây xem sao nhé.

đây nè bạn


Command: ha

Chon duong cong:
P1: ; error: no function definition: VLAX-CURVE-GETDISTATPOINT
  • 0

#14 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 September 2012 - 04:56 PM

srr! Bạn down lại nhé. Tôi sót 1 dòng. Máy tôi cài sẵn nên không sao.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#15 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 04:59 PM

srr! Bạn down lại nhé. Tôi sót 1 dòng. Máy tôi cài sẵn nên không sao.

oh. ra là vậy. mấy lâu nay chạy loanh quanh tìm cái nè mà ko được. mong lần này được.hi
  • 0

#16 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 05:05 PM

srr! Bạn down lại nhé. Tôi sót 1 dòng. Máy tôi cài sẵn nên không sao.


down ở đâu bạn nhỉ
  • 0

#17 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 September 2012 - 05:19 PM

Ở chỗ cũ tôi đã post lên đó. Tôi đã sửa ở đó luôn.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#18 master_c2

master_c2

    biết vẽ line

  • Members
  • PipPip
  • 25 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 19 September 2012 - 05:44 PM

Ở chỗ cũ tôi đã post lên đó. Tôi đã sửa ở đó luôn.

ui. mình down về rồi nhưng giờ lại ko chạy được lệnh HA nữa. unknown command "HA" mới chết !!!
  • 0

#19 dovansinh

dovansinh

    biết pan

  • Advance Member
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 December 2013 - 11:25 AM


(defun C:HA( / obj p1)

(vl-load-com) ;toi moi them dong nay

(setq obj (car (entsel "\nChon duong cong: ")))

(abs (- (vlax-curve-getDistAtPoint obj (setq p1 (getpoint "\nP1: "))) (vlax-curve-getDistAtPoint obj (getpoint p1 "\nP2: ")))))

Anh có thể cho xuất ra text sẵn có và đổi thành màu đỏ được ko ạ?


  • 0
Đỗ Văn Sinh - 0936588006
Email: dovansinh@gmail.com
Skype: dovansinh
Yahoo: dovansinh_haui

#20 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 10 December 2013 - 08:25 AM

Anh có thể cho xuất ra text sẵn có và đổi thành màu đỏ được ko ạ?

Đây bạn.

(defun C:HA( / obj1 obj2 p1 p2)
 (vl-load-com)
 (setq obj1 (car (entsel "\nChon duong cong: "))
       p1 (getpoint "\nP1: ")
  p2 (getpoint p1 "\nP2: ")
       obj2 (vlax-ename->vla-object (car (entsel "\nChon text: "))))
 (vla-put-TextString obj2 (rtos (abs (- (vlax-curve-getDistAtPoint obj1 p1) (vlax-curve-getDistAtPoint obj1 p2))) 2))
 (vla-put-Color obj2 1)
 (princ))
 

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.